pro vyber2,logarr,arr,clim,tlim
;
;vyber obrazu pro movie podle kriterii min. kontrastu a min.
;casove diference mezi nasl. obrazy, na zaklade pole logarr = log
;output arr:   frame no.[0], time(h)[1], contrast[2]
;
; vyber podle kontrastu [log(6)]
si=size(logarr)
ar1=fltarr(3,si(2))
n=0
for i=0,si(2)-1 do begin
   if(logarr(6,i) ge clim) then begin
	ar1(0,n)=logarr(1,i)
	ar1(1,n)=logarr(2,i)
	ar1(2,n)=logarr(6,i)
	n=n+1
   endif
endfor
ar1=ar1(*,0:n-1)

; vyber podle casu [log(2)]
arr=ar1
arr(*,0)=ar1(*,0)
k=0
for i=1,n-1 do begin
   if((ar1(1,i)-arr(1,k)) ge tlim) then begin
	k=k+1
	arr(*,k)=ar1(*,i)
   endif
endfor
arr=arr(*,0:k)
print,'selected: ',k+1

; time differences
dt=arr(1,*)-shift(arr(1,*),1)
print,'Time differences:'
print,'     Min:  ',min(dt(1:k))
print,'     Max:  ',max(dt(1:k))
print,'     Mean: ',total(dt(1:k))/float(k)

plot,arr(1,*),arr(2,*),xra=[9.7,14.5],yra=[0.02,0.1],/xst,psym=2,back=255,col=0
;oplot,arr(1,*),arr(2,*),psym=2
oplot,logarr(2,*),logarr(6,*),psym=3,col=0
end
