;Program POREPS.PRO to plot photometric parameters in a PS file

 restore,'pore42'
 set_plot,'ps'
 device,filename='pore42.ps',/portrait,xoffset=2.5,yoffset=5,xsiz=16,ysiz=22
 !p.multi=[0,0,4,0,0]

 plot,robi42,yst=16,xtitle='Frames',ytitle='Sharpness'
 plot,dnp42,yst=16,xtitle='Frames',ytitle='I min'
 plot,0.062*sqrt(4*ar42/!pi),yst=16,xtitle='Frames',ytitle='Pore diam. (")'
 plot,ff42,yst=16,xtitle='Frames',ytitle='Filling factor'

 device,/close
 set_plot,'x'
 !p.multi=0
 end
