PRO seeim,day,type,num
;
; Displays an image (SST data, September 2003)
; and computes sharpness in a selected box
; INPUTS: day = 14, 16, 18, 19, 20   ...date
;	  type = 'gc', 'c6', 'ca'    ...channel
;	  num = seq. number

on_error,1

; paths and filenames

if type eq 'ca' then reb=3 else reb=2	;down-rebinning factor
pa1='/scratch1/sobotka/lap2003/images_out/'

if (day eq 14) or (day eq 16) then begin
	pa2=type+'_'+strtrim(fix(day),2)+'/'
	fil='*.'+string(num,format='(I4.4)')
endif else begin
	if (type eq 'ca') or (type eq 'cah') then begin
		type='cah'
		cam='42'
	endif else begin
		cam='16'
	endelse
	pa2='images'+cam+'-'+type+'-'+strtrim(fix(day),2)+'/'
	fil='*.'+string(num,format='(I6.6)')
endelse

name=findfile(pa1+pa2+fil)
if (size(name))(1) ne 1 then message,' file not found'
print,'Reading:  ',name

; reading image

if (day eq 14) or (day eq 16) then  restore2,name,im  $
	else  im=f1(name,he)

si=size(im)
tvw,congrid(im,si(1)/reb,si(2)/reb)

;selbox,congrid(im,si(1)/reb,si(2)/reb),x1,x2,y1,y2
;print,sharpness(im(x1*reb:x2*reb,y1*reb:y2*reb),4)

END
