pro vyber,logarr,arr,clim,tlim
;
;vyber obrazu pro movie podle kriterii min. kontrastu a min.
;casove diference mezi nasl. obrazy, na zaklade pole logarr

; vyber podle kontrastu
ar1=logarr
n=0
for i=0,n_elements(logarr(0,*))-1 do begin
   if(logarr(2,i) ge clim) then begin
	ar1(*,n)=logarr(*,i)
	n=n+1
   endif
endfor
ar1=ar1(*,0:n-1)

; vyber podle casu
arr=ar1
arr(*,0)=ar1(*,0)
k=0
for i=1,n-1 do begin
   if((ar1(1,i)-arr(1,k)) ge tlim) then begin
	k=k+1
	arr(*,k)=ar1(*,i)
   endif
endfor
arr=arr(*,0:k)
print,'selected: ',k+1
print,'frames: '
print,reform(arr(0,*))

; time differences
dt=arr(1,*)-shift(arr(1,*),1)
print,'Time differences:'
print,'     Min:  ',min(dt(1:k))
print,'     Max:  ',max(dt(1:k))
print,'     Mean: ',total(dt(1:k))/float(k)

plot,arr(1,*),arr(2,*),/xst,psym=2,col=0,back=255
;oplot,arr(1,*),arr(2,*)
oplot,logarr(1,*),logarr(2,*),psym=3,col=0
end
